GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Member Functions | Private Attributes | List of all members
GpgFrontend::UI::SettingsObject Class Reference

The SettingsObject class This class is used to store settings for the application securely. More...

`#include <SettingsObject.h>`

Inheritance diagram for GpgFrontend::UI::SettingsObject:
Collaboration diagram for GpgFrontend::UI::SettingsObject:

## Public Member Functions
| SettingsObject (std::string settings_name)
| Construct a new Settings Object object. More...
| SettingsObject (nlohmann::json _sub_json, bool)
| Construct a new Settings Object object. More...
| ~SettingsObject ()
| Destroy the Settings Object object.
nlohmann::json & | Check (const std::string &key, const nlohmann::json &default_value)
SettingsObject | Check (const std::string &key)

## Private Attributes
std::string | settings_name_

## Detailed Description

The SettingsObject class This class is used to store settings for the application securely.

## Constructor & Destructor Documentation

## ◆ SettingsObject() [1/2]

GpgFrontend::UI::SettingsObject::SettingsObject | ( | std::string | settings_name | ) |
| explicit

Construct a new Settings Object object.

Parameters

  settings_name | The name of the settings object

References GpgFrontend::SingletonFunctionObject< DataObjectOperator >::GetInstance().

## ◆ SettingsObject() [2/2]

GpgFrontend::UI::SettingsObject::SettingsObject | ( | nlohmann::json | _sub_json,
|  | bool |
| ) |  |
| explicit

Construct a new Settings Object object.

Parameters

  _sub_json |

## Member Function Documentation

## ◆ Check() [1/2]

GpgFrontend::UI::SettingsObject GpgFrontend::UI::SettingsObject::Check | ( | const std::string & | key | ) |

Parameters

  key |

Returns
  SettingsObject

## ◆ Check() [2/2]

nlohmann::json & GpgFrontend::UI::SettingsObject::Check | ( | const std::string & | key,
|  | const nlohmann::json & | default_value
| ) |  |

Parameters

  key |
  default_value |

Returns
  nlohmann::json&

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

Referenced by GpgFrontend::UI::KeyServerImportDialog::create_comboBox(), GpgFrontend::UI::PlainTextEditorPage::PlainTextEditorPage(), GpgFrontend::UI::InfoBoardWidget::SetInfoBoard(), GpgFrontend::UI::AppearanceTab::SetSettings(), GpgFrontend::UI::KeyserverTab::SetSettings(), GpgFrontend::UI::MainWindow::slot_open_settings_dialog(), GpgFrontend::UI::KeyUploadDialog::slot_upload_key_to_server(), GpgFrontend::UI::KeyServerImportDialog::SlotImport(), and GpgFrontend::UI::CommonUtils::SlotImportKeyFromKeyServer().

The documentation for this class was generated from the following files:

- src/ui/struct/SettingsObject.h
- src/ui/struct/SettingsObject.cpp